<!doctype html>
<html lang="en">


<head>
	<meta charset="utf-8">
	<title>Xbox Sales &amp; Specials</title>
	<link rel="stylesheet" href="css/style.css">


	<!-- load in dependencies -->
	<script src="bower_components/js-xlsx/dist/xlsx.core.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/handlebars.js/4.0.6/handlebars.js"></script>
	<script src="js/vue.js"></script>

	
	<!-- CSS required for Xbox.com MWF to show properly -->
	<link rel="stylesheet" type="text/css" href="http://www.xbox.com/en-us/global-resources/Picchu-Grid/CSS/mscom-grid-mixed.css"/>
	<link rel="stylesheet" type="text/css" href="http://www.xbox.com/en-us/promotions/sales/sales-and-specials/CSS/mwf-sales-grid.css">
	<link rel="stylesheet" type="text/css" href="http://www.xbox.com/en-us/promotions/sales/sales-and-specials/CSS/xbox-sas.css">
	<link rel="stylesheet" type="text/css" href="http://assets.onestore.ms/cdnfiles/external/mwf/long/v1/v1.22.2/css/mwf-west-european.min.css">
	<link rel="stylesheet" type="text/css" href="http://assets.onestore.ms/cdnfiles/external/mwf/long/v1/v1.22.2/css/mwf-west-european-green-default.min.css">
	<link rel="stylesheet" type="text/css" href="http://www.xbox.com/en-us/global-resources/templates/MWF/CSS/xbox-MWF.css">
</head>


<body>
	<div data-grid="container">
		<main data-grid="col-10 stack-4" id="app">

		<!--
			GAME GRID GENERATOR
		-->
		<section id="gameGrid" data-grid="col-12">
			<h2 class="c-heading-2" data-grid="col-12 pad-12x">Game grid generator</h2>
			
			<div data-grid="col-12">
				<form class="fileUploadForm">
					<label class="c-label" for="file1">Upload file</label>
					<div id="fileDropZone" class="c-file">
						<input id="fileInput" type="file" onclick="this.value = null">
						<input type="text" class="c-text-field" aria-hidden="true" placeholder="Choose a file to upload" readonly="readonly">
						<button name="button" class="c-button" type="submit">Select</button>
					</div>
					<div class="c-select">
						<label class="c-label">Grid Type</label>
						<select id="gridSelect">
							<option value="Weekly deals" selected="selected">Weekly deals</option>
							<option value="DWG">Deals with gold</option>
							<option value="GWG">Games with gold</option>
						</select>
					</div>
				</form>
			</div>
			<div data-grid="col-12" >
				<form class="pure-form pure-table-horizontal">
					<div class="c-table" data-f-loc-ascending="Sorted by {0} - ascending" data-f-loc-descending="Sorted by {0} - descending">
						<table data-f-sort="true">
							<caption>Computed Data</caption>
							<thead>
								<tr>
									<td>Game</td>
									<td>Discount</td>
									<td>URL</td>
									<td>Clickname</td>
									<td>Excluded Regions</td>
									<td>Included Regions</td>
								</tr>
							</thead>
							<!-- "game", "discount", "image", "url", "trackingCode", "dataRetailer", "dataCta", "excludedRegion", "includedRegion" -->
							<tbody>
								<tr v-for="game of games">
									<!-- event name -->
									<td>
										<input v-model="game.game" placeholder="Event" type="text" value="{{ game.game }}"/>
									</td>
									<!-- event dates -->
									<td>
										<input v-model="game.discount" :class="{active: isActive}" id="startDate" placeholder="Start Date" type="text" value="-{{game.discount | percentage}}"/><br>
									</td>
									<!--
									Parse input with value if link exists
									else display empty input with option to
									input link
								-->
								<td>
									<input v-model="game.url" placeholder="Link Text" type="text" value="{{ game.url }}"/>
								</td>
								<td>
									<input v-model="game.trackingCode" id="game" placeholder="Tracking Code" type="text" value="{{ game.trackingCode }}"/>
								</td>
								<td><input v-model="game.excludedRegion" id="game" placeholder="Excluded Regions" type="text" value="{{ game.excludedRegion }}"/></td>
								<td><input v-model="game.includedRegion" id="game" placeholder="Included Regions" type="text" value="{{ game.includedRegion }}" /></td>
							</tr>
						</tbody>
					</table>
				</div>
			</form>
		</div>
		<div data-grid="col-12">
			<div class="m-game-grid gameDivsWrapper">
				<div data-grid="container">
					<div id="markup" style="border: 1px dashed #ececec">
						<section v-for="game in games" class="m-product-placement-item f-size-medium context-game gameDiv" itemscope="" itemtype="http://schema.org/Product" data-region-exclude="{{game.excludedRegion}}" data-region-include="{{game.includedRegion}}">
							<a href="{{game.url}}" data-clickname="{{game.trackingCode}}" aria-label="" data-cta="BuyNow" data-retailer="Microsoft" data-product-id="{{game.productId}}" target="_blank" rel="noreferrer noopener">
								<picture class="containerIMG" data-branding="false">
									<img class="c-image" aria-hidden="true" srcset="" :src="game.image" alt="{{game.game}}">
								</picture>
								<div>
									<span class="c-badge f-small f-highlight">{{game.discount}}</span>
									<h3 class="c-heading" itemprop="product name">{{game.game}}</h3>
								</div>
							</a>
						</section>
					</div>
				</div>
			</div>
		</div>
		<div data-grid="col-12">
			<div class="c-textarea">
				<label class="c-label" for="codeOutput--html">HTML Output</label>
				<textarea id="codeOutput--html" v-html="rawOutput"></textarea>
				<label class="c-label" for="codeOutput--json">JSON Output</label>
				<textarea id="codeOutput--json">{{games | json}}</textarea>
			</div>
		</div>
	</section>
</main>
</div>


<script src="js/scripts.js"></script>
<script src="http://assets.onestore.ms/cdnfiles/external/mwf/long/v1/v1.22.2/scripts/mwf-auto-init-main.var.min.js"></script>

</body>
</html>